html, body {
    height: 100%;
  }

body {
    font-family: 'Poppins', sans-serif;
    background-color: #f0f4f8;
    color: rgb(0, 0, 0);
}

header {
    display: flex;
    justify-content: center;
    background: linear-gradient(to right, #1E3A8A, #3B82F6);
    color: white;
    height: 8vh;
    width: auto;
    border-bottom: 4px solid #3B82F6;
}

header a{
    color: white;
    font-size: 2.5vw;
    text-decoration: none;
    margin: 0 7% 0 7%;

}

header a:hover{
    color: #3B82F6;
}
h1 {
    display: flex;
    justify-content: center;
    margin-top: 2vh !important;
    font-size: 3vw !important;
    height: 5vh;
}
.auteurs-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 30px;
    padding: 50px;
    height: 77vh;
    box-sizing: border-box;
}


.auteur-card {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 250px;
    transition: transform 0.3s, box-shadow 0.3s;
}


.auteur-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}


.auteur-card img {
    width: 100%;
    height: auto;
    border-radius: 10px;
    margin-bottom: 15px;
}


.auteur-card h3 {
    margin: 10px 0;
    font-size: 1.2em;
    color: #333;
}


.auteur-card p {
    font-size: 1em;
    color: #777;
}

footer{
    position: fixed;
    display: flex;
    justify-content: space-around;
    background: linear-gradient(to right, #1E3A8A, #3B82F6);
    color: #fff;
    height: 8vh;
    width: 100%;
    padding: 10px 0;
    text-align: center;
    border-top: 5px solid #3B82F6;
}

footer p {
    text-align: center;
    font-size: 1.5vw;
    color: #ffffff;
    margin-top: 5px;
    width: 75%; 
}

footer img {
    width: 6vw;
    height: 2.5vw;
    margin-left: 3.75%;
    margin-right: 3.75%;
}

footer a:hover{
    color: #3B82F6  ;
}

@media (max-width: 768px) {
    header a{
        color: white;
        font-size: 2.5vw;
        text-decoration: none;
        margin-left: 10%;
        margin-right: 4%;
    }
}
